Bug 433638 - Review Request: perl-Math-MatrixReal - Manipulate matrix of Reals
Review Request: perl-Math-MatrixReal - Manipulate matrix of Reals
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 433644
  Show dependency treegraph
 
Reported: 2008-02-20 10:37 EST by Patrice Dumas
Modified: 2008-03-13 03:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 18:57:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-02-20 10:37:49 EST
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Math-MatrixReal.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Math-MatrixReal-2.03-1.fc9.src.rpm
Description: 
Implements the data type "matrix of reals", which can be used almost like
any other basic Perl type thanks to OPERATOR OVERLOADING, i.e.,
  $product = $matrix1 * $matrix2;
does what you would like it to do (a matrix multiplication).
Comment 1 Patrice Dumas 2008-02-20 11:03:02 EST
I have updated the .spec and .src.rpm with the summary without
typo. I didn't changed the release for this change.

It will appear in 15-30 minutes at te same location.
Comment 2 Parag AN(पराग) 2008-02-21 01:40:13 EST
Review:
+ package builds in mock (development i386).
koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=453265
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ddec2540dfe7a719225d2abd5be3ce52  Math-MatrixReal-2.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=42, Tests=263,  8 wallclock secs ( 5.37 cusr +  0.36 csys =  5.73 CPU)
+ Package perl-Math-MatrixReal-2.03-1.fc9 =>
   Provides: perl(Math::MatrixReal) = 2.03
   Requires: perl(Carp) perl(Exporter) perl(strict) perl(vars)

APPROVED.
Comment 3 Patrice Dumas 2008-02-21 12:31:54 EST
New Package CVS Request
=======================
Package Name: perl-Math-MatrixReal
Short Description: Manipulate matrix of Reals
Owners: pertusus
Branches: F-7 F-8 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-02-21 16:25:45 EST
cvs done.
Comment 5 Patrice Dumas 2008-02-22 18:57:48 EST
Imported and built, thanks for the quick review.
Comment 6 Fedora Update System 2008-02-25 17:54:37 EST
perl-Math-MatrixReal-2.03-1.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-02-25 17:56:37 EST
perl-Math-MatrixReal-2.03-1.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-03-13 03:43:21 EDT
perl-Math-MatrixReal-2.03-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-03-13 03:46:42 EDT
perl-Math-MatrixReal-2.03-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.